MetalLabelUI (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalLabelUI
Keywords: javax.swing.plaf.metal.MetalLabelUI class

# Class MetalLabelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.LabelUI
javax.swing.plaf.basic.BasicLabelUI
javax.swing.plaf.metal.MetalLabelUI

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

public class MetalLabelUI extends BasicLabelUI
A Windows L&F implementation of LabelUI. This implementation is completely static, i.e. there's only one UIView implementation that's shared by all JLabel objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static MetalLabelUI`
  `metalLabelUI`
  The default `MetalLabelUI` instance.

  ### Fields declared in class BasicLabelUI

  `labelUI`
  Modifier and Type
  Field
  Description
  `protected static BasicLabelUI`
  `labelUI`
  The default `BasicLabelUI` instance.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetalLabelUI()`
  Constructs a `MetalLabelUI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentUI`
  `createUI(JComponent c)`
  Returns an instance of `MetalLabelUI`.
  `protected void`
  `paintDisabledText(JLabel l, Graphics g, String s, int textX, int textY)`
  Just paint the text gray (Label.disabledForeground) rather than in the labels foreground color.

  ### Methods declared in class BasicLabelUI

  `getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, installComponents, installDefaults, installKeyboardActions, installListeners, layoutCL, paint, paintEnabledText, propertyChange, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners`
  Modifier and Type
  Method
  Description
  `int`
  `getBaseline(JComponent c, int width, int height)`
  Returns the baseline.
  `Component.BaselineResizeBehavior`
  `getBaselineResizeBehavior(JComponent c)`
  Returns an enum indicating how the baseline of the component changes as the size changes.
  `Dimension`
  `getMaximumSize(JComponent c)`
  Returns the specified component's maximum size appropriate for the look and feel.
  `Dimension`
  `getMinimumSize(JComponent c)`
  Returns the specified component's minimum size appropriate for the look and feel.
  `protected void`
  `installComponents(JLabel c)`
  Registers components.
  `protected void`
  `installDefaults(JLabel c)`
  Installs default properties.
  `protected void`
  `installKeyboardActions(JLabel l)`
  Registers keyboard actions.
  `protected void`
  `installListeners(JLabel c)`
  Registers listeners.
  `protected String`
  `layoutCL(JLabel label, FontMetrics fontMetrics, String text, Icon icon, Rectangle viewR, Rectangle iconR, Rectangle textR)`
  Forwards the call to SwingUtilities.layoutCompoundLabel().
  `void`
  `paint(Graphics g, JComponent c)`
  Paints the label text with the foreground color, if the label is opaque then paints the entire background with the background color.
  `protected void`
  `paintEnabledText(JLabel l, Graphics g, String s, int textX, int textY)`
  Paint clippedText at textX, textY with the labels foreground color.
  `void`
  `propertyChange(PropertyChangeEvent e)`
  This method gets called when a bound property is changed.
  `protected void`
  `uninstallComponents(JLabel c)`
  Unregisters components.
  `protected void`
  `uninstallDefaults(JLabel c)`
  Uninstalls default properties.
  `protected void`
  `uninstallKeyboardActions(JLabel c)`
  Unregisters keyboard actions.
  `protected void`
  `uninstallListeners(JLabel c)`
  Unregisters listeners.

  ### Methods declared in class ComponentUI

  `contains, getAccessibleChild, getAccessibleChildrenCount, getPreferredSize, installUI, uninstallUI, update`
  Modifier and Type
  Method
  Description
  `boolean`
  `contains(JComponent c, int x, int y)`
  Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
  `Accessible`
  `getAccessibleChild(JComponent c, int i)`
  Returns the `i`th `Accessible` child of the object.
  `int`
  `getAccessibleChildrenCount(JComponent c)`
  Returns the number of accessible children in the object.
  `Dimension`
  `getPreferredSize(JComponent c)`
  Returns the specified component's preferred size appropriate for the look and feel.
  `void`
  `installUI(JComponent c)`
  Configures the specified component appropriately for the look and feel.
  `void`
  `uninstallUI(JComponent c)`
  Reverses configuration which was done on the specified component during `installUI`.
  `void`
  `update(Graphics g, JComponent c)`
  Notifies this UI delegate that it is time to paint the specified component.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### metalLabelUI

    protected static MetalLabelUI metalLabelUI
    The default `MetalLabelUI` instance. This field might not be used. To change the default instance use a subclass which overrides the `createUI` method, and place that class name in defaults table under the key "LabelUI".

- ## Constructor Details

  - ### MetalLabelUI

    public MetalLabelUI()
    Constructs a `MetalLabelUI`.

- ## Method Details

  - ### createUI

    public static ComponentUI createUI(JComponent c)
    Returns an instance of `MetalLabelUI`.
    Parameters:
      `c` - a component
    Returns:
      an instance of `MetalLabelUI`

  - ### paintDisabledText

    protected void paintDisabledText(JLabel l, Graphics g, String s, int textX, int textY)
    Just paint the text gray (Label.disabledForeground) rather than in the labels foreground color.
    Overrides:
      `paintDisabledText` in class `BasicLabelUI`
    Parameters:
      `l` - an instance of `JLabel`
      `g` - an instance of `Graphics`
      `s` - a text
      `textX` - an X coordinate
      `textY` - an Y coordinate
    See Also:
      - `BasicLabelUI.paint(Graphics, JComponent)`
      - `BasicLabelUI.paintEnabledText(JLabel, Graphics, String, int, int)`